Bug 105591 - bringing up pcmcia network interfaces too early prints confusing message
bringing up pcmcia network interfaces too early prints confusing message
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-09-25 17:21 EDT by Alexandre Oliva
Modified: 2014-03-16 22:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-11 13:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-09-25 17:21:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When booting a laptop with a 3c574_cs network card, configured to bring eth0 up
on boot, the error message that is printed says module 3c574_cs couldn't be
loaded, which gives the impression the card might not be brought up at all
because the module is not available.  After loading pcmcia, the driver is
properly loaded and the interface is brought up, as expected (and implied by the
`delaying initialization' message), but the early failure to load the module is
Comment 1 Kwan Lowe 2003-11-13 12:45:42 EST
On a Dell Inspiron 3500 I encountered this same problem with this
card. However, ethernet does not successfully autostart even after the
delay and must be manually started. Changing the pcmcia and network
start orders worked around the problem for me, as does increasing the
delay between re-initialization attempts.
Comment 2 Ronny Buchmann 2004-04-18 05:01:41 EDT
Is there a reason why pcmcia is started after network not before?

Changing pcmcia to start at 9 (chkconfig: 2345 9 96) solves this issue
and also bug 116205.
Comment 3 Darin May 2004-05-12 13:51:52 EDT
I just started seeing this as well with the 2.6.5-1.3xx kernels.  I
can't rememeber if pcmcia was being started earlier, but I do recall
that there were no module start errors.

Note You need to log in before you can comment on or make changes to this bug.